/*
** Thierry Roncalli
** Introduction to Risk Parity & Budgeting
**
**> Page 92
**
*/

new;
library rpb,pgraph;

cls;

rndseed 123;

let m = 100 200 250 260 500 250;
alpha = 0.995;

m_alpha = floor(m .* alpha + 1);
q1 = (m_alpha - 1) ./ m;
c = m * alpha + 1 - m_alpha;
q2 = m_alpha ./ m;

q = q1 + c .* (q2 - q1); 

Results = q1~q2~m_alpha~(m_alpha+1)~c~q;
print ftosa(Results,"%lf",3,4);  